Ansicht
Dokumentation

05964 - Upgrade from VR4.3 to Vr5.1

05964 - Upgrade from VR4.3 to Vr5.1

General Material Data   BAL_S_LOG - Application Log: Log header data  
This documentation is copyright by SAP AG.
SAP E-Book

Upgrade from VR4.3 to Vr5.1

Hi,

sorry, but the note was "in process", so that you couldn't see this. Here is
the current version:
SAP Hinweis Nr. 392165 29.04.2002 Seite
1

________________________________________________________________________

Nummer 0392165
Version 0028 vom 23.04.2002
Komponente BC-INS-AS4 Installation and Upgrade AS/400

________________________________________________________________________

Langtext

Symptom
With OS/400 Release V5R1M0 some errors may occur. These errors are
collected and described in this SAP Note.

GENERAL
After an upgrade you want to convert objects by 'first touch'. As a
consequence the performance is very low or an ABAP short dump occurs.

INSTALLATION

1. You receive an ABAP short dump with the following error message:
DBIF_DSQL2_SQL_ERROR

The database reports -913.


2. Termination in step PTFCHK_IND_DB4. The following error message
appears:

The minimum OS/400 operating system level is V4R2M0 for this
installation. The current OS/400 release is V5R1M0. Update your
operating system level to at least V4R2M0 and start R3SETUP again.


3. Termination in step DBR3LOADDDIC_IND_DB4:

The following message appears in log file SAPSDIC.log:

'DbSl Trace: UNKNOWN must have *CHANGE authority for library
R3sidDATA.'


4. Termination in step DBR3LICENSECREATE_IND_DB4:

The following message appears in the job log:

ERROR 2001-08-30 21:14:46 DBR3LICENSECREATE_IND_DB4 SlicCall:0.
See logfile dev_slic for further information.

ERROR 2001-08-30 21:14:46 DBR3LICENSECREATE_IND_DB4
InstallationDo:0
Phase failed.
Seite
2

ERROR 2001-08-30 21:14:46 InstController Action:0
Step DBR3LICENSECREATE_IND_DB4 could not be performed.


The following message appears in file dev_slic:
*** ERROR => Switch to <sid>OFR failed. [dbsldb4. 1261]


5. Termination in step CRTR3INST_IND_DB4ASCII,
CRTR3INST_IND_DB4, CRTR3SYS_IND_DB4ASCII, or CRTR3SYS_IND_DB4:


The following error message appears in the job log with ID
CPFA0AD:


Function not supported by file system.


This error only ocurrs during the installation of three-tier
application servers due to a change in V5R1.



6. SQL0030 in report SDB1FDB4


7. The OS collector is not active. Transaction ST06 contains no or old
data.



8. Application servers can't connect to the DB server since V5R1.


Additional key words
AS/400, V5R1M0, DBINCONDB4, CRTR3SYS, CRTR3INST

Cause and prerequisites

Solution
Replace the respective program with the current version (depending on
the SAP release, this version is available on sapserv(x) or on a CD) or
read the corresponding SAP Note.

REFERRING TO 'GENERAL'
Proceed as described in SAP Note 444524.

REFERRING TO 'INSTALLATION'



1. Proceed as described in SAP Note 444524.

2. Replace program R3setup (patch R3SETUP).

3. Replace program DBINCONDB4 (patch DBINCON).
Seite
3


4. Replace program DBINCONDB4 (patch DBINCON).
Patch DBINCON is located on sapserv(x) in directory
/general/R3server/patches/rel46D/OS400/V4R4M0

5. Replace programs CRTR3SYS and CRTR3INST
(patches CRTR3SYS and CRTR3INST).

6. Proceed as described in SAP Note 376510.



7. You cannot start program SAPOSCOL since the user space
QUSRSYS/QPFRCOLDTA accessed by the program is damaged. To solve this
problem, proceed as follows:
Delete object QUSRSYS/QPFRCOLDTA.
To create the object correctly, execute command CALL
QSYS/QYPSCOLDTA.
Start SAPOSCOL with transaction ST06.

8. The PRPQ OptiMover is no longer supported since V5R1. If you were
using this, this is the cause for your problem. You have to purchase
the product OptiConnect at IBM instead. This is the license program
5722SS1, option 23. Then the access from the application servers to
the DB server will work as you were used to before.

Source code corrections

________________________________________________________________________

Gültige Releases

Hinweis ist releaseunabhängig

________________________________________________________________________

Verweise auf verwandte Hinweise

Nummer Kurztext
____________________________________________________________
0139940 INST: 4.5B R/3 Installation on IBM AS/400
0320629 INST: R/3 Installation on IBM AS/400 (3.1I SR1)
0337578 AS/400: Korrektur für V5R1
0376510 iSeries: V5R1: Fehler SQL0030 in SDB1FDB4
0397906 iSeries: DB Switchover funktioniert nicht
0406692 INST: 6.10 SAP Web AS Installation on IBM eServer iSeries
0413317 SAP BW 2.1C Installation on AS/400 (ASCII)
0425269 SAP BW 3.0A Server Installation IBM eServer iSeries
0428855 OS/400 Systemwerte
0434586 INST: 4.6D SR1 Installation on IBM AS/400 (ASCII)
0444524 iSeries: DBIF_DSQL2_SQL_ERROR, SQL0913 bei V5R1

Regards

Volker

-----Original Message-----
From: Clarke, Drew - CSG [mailto:Drew.ClarkeZh...]
Sent: Montag, 29. April 2002 15:10
To: Gueldenpfennig, Volker; 'DoNotReply@consolut.eu'
Cc: Clarke, Drew - CSG
Subject: RE: Upgrade from VR4.3 to Vr5.1


Volker,

Thanks, but I cannot find this note. Any ideas what I am doing wrong?

Regards

Drew

Durban Tours - Südafrika Safari

CL_GUI_FRONTEND_SERVICES - Frontend Services   rdisp/max_wprun_time - Maximum work process run time  
This documentation is copyright by SAP AG.

Length: 6179 Date: 20240304 Time: 222026     sap01-206 ( 4 ms )